Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.classpath
Interface Classpath

All Known Implementing Classes:
  ClasspathEntry, ClasspathImpl

    public interface Classpath

Method Summary
`void` | `close()` Free resources used (if any) or do nothing.
`java.io.InputStream` | `findClass(java.lang.String qualifiedClassName)` Returns InputStream instance providing bytecode for the required class.
`boolean` | `hasNext()`
`void` | `init(java.lang.String classPath)` Initialize the module with given parameter: `classPath`.
`java.lang.String` | `nextClassName()` Return name of the next available class.
`void` | `setListToBegin()` Reset enumeration of classes which are found by this module.

Method Detail

### init

    void init(java.lang.String classPath)
              throws java.io.IOException

  Initialize the module with given parameter: `classPath`.

  Parameters:
    `classPath` - parameter provided to initialize module (usually a directory or file classPath).
  Throws:
    `java.io.IOException`

### close

    void close()

  Free resources used (if any) or do nothing.

### hasNext

    boolean hasNext()

  Returns:
    true if more classes available

### nextClassName

    java.lang.String nextClassName()

  Return name of the next available class.

  Returns:
    Class qualified name

### setListToBegin

    void setListToBegin()

  Reset enumeration of classes which are found by this module.

### findClass

    java.io.InputStream findClass(java.lang.String qualifiedClassName)
                                  throws java.io.IOException,
                                         java.lang.ClassNotFoundException

  Returns InputStream instance providing bytecode for the required class. If classpath has several classes with the same qualified name, an implementation must always return first class in the path

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD